Subject: Weird error message
From: [email-masked] (Madis Kaal)

The personal computer ISKRA-1030 (made in USSR, supposed to be XT clone) 
can generate an error message:
   "Write protect error reading device CON"

From: [email-masked] (Ben Verwer)
Organization: Delft University of Technology, Faculty of Applied Physics
Subject: No warnings pleaaaaaseeeeeeeeeeeeeeee

The stardent compiler has a -w option: no warnings.

ben [1] cc -w idontwantwarnings.c
"idontwantwarnings.c", line 1: warning: 4 warnings suppressed by no warn option
ben [2] 

Some of the better error messages from Apple's MPW compiler, from a posting
by Bruce Hoult on comp.sys.mac.programmer:
 
  "String literal too long (I let you have 512 characters, that's 3 more than
  ANSI said I should)"
 
  "...And the lord said, `lo, there shall only be case or default labels
  inside a switch statement'"
  
  "a typedef name was a complete surprise to me at this point in your program"
  
  "`Volatile' and `Register' are not miscible"
  
  "This struct already has a perfectly good definition"
  
  "Only one parameter per register please "
  
  "type in (cast) must be scalar; ANSI 3.3.4; page 39, lines 10-11 (I know
  you don't care, I'm just trying to annoy you)"
  
  "This array has no size, and that's bad"
  
  "Huh ?"
  
  "can't go mucking with a `void *'"
  
  "we already did this function"
  
  "The target of this goto is a label in a block that has an automatic
  variable with an initializer"
  
  "This label is the target of a goto from outside of the block containing
  this label AND this block has an automatic variable with an initializer
  AND your window wasn't wide enough to read this whole error message"
  
  "Call me paranoid but finding `/*' inside this comment makes me suspicious"
  
  "This function has an explicit return type and deserves a return value"
  
  "You are comparing two structures that have holes in them"
  
  "Too many errors on one line (make fewer)"
  
  "Symbol table full - fatal heap error; please go buy a RAM upgrade from
  your local Apple dealer"
  
  "Trailing comma not permitted in enum definition.  (This time I'm letting
  you off with a warning)"

See, a computer with good manners, and people are saying that the
internet is going down hill, HA:

  > From [email-masked] Fri Nov 10 13:42:06 1995
  > Subject: Returned mail: Remote protocol error
  
  >    ----- Transcript of session follows -----
  > Connected to mailhost.trt-philips.fr:
  > >>> DATA
  > <<< 550 you could say goodbye
  > 554 <[email-masked]>... Remote protocol error: Connection
  > reset by peer during final wait with mailhost.trt-philips.fr

The FORTRAN V compiler for the UNIVAC 1108 once spit out the following
diagnostic:

  THE ABOVE ASSIGNMENT STATEMENT IS REDUNDANT AND HAS BEEN DELETED.

This occurred when through some fluke, most likely a card reader
stuttering, an arithmetic assignment statement was duplicated on
adjacent cards.

Bonus message:

In UNIVAC's old (and I do mean OLD) DOD COBOL, I once saw the diagnostic

  THE ABOVE REFERENCE IS NUGATORY

Extra bonus:

Then there was the MAD compiler (incorporated as part of the U of
Maryland's combined two-language compiler, RALPH -- compiled both
FORTRAN and MAD, and allowed one to switch languages mid-program)...

If you made a sufficiently large number of errors, you received a
large portrait of Alfred E. Neumann.